CMSIS-DSP: Mean Square Error

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Mean Square Error
Statistics Functions

## Functions

void | arm_mse_f16 (const float16_t *pSrcA, const float16_t *pSrcB, uint32_t blockSize, float16_t *result)
| Mean square error between two half floating point vectors. More...
void | arm_mse_f32 (const float32_t *pSrcA, const float32_t *pSrcB, uint32_t blockSize, float32_t *result)
| Mean square error between two floating point vectors. More...
void | arm_mse_f64 (const float64_t *pSrcA, const float64_t *pSrcB, uint32_t blockSize, float64_t *result)
| Mean square error between two double floating point vectors. More...
void | arm_mse_q15 (const q15_t *pSrcA, const q15_t *pSrcB, uint32_t blockSize, q15_t *pResult)
| Mean square error between two Q15 vectors. More...
void | arm_mse_q31 (const q31_t *pSrcA, const q31_t *pSrcB, uint32_t blockSize, q31_t *pResult)
| Mean square error between two Q31 vectors. More...
void | arm_mse_q7 (const q7_t *pSrcA, const q7_t *pSrcB, uint32_t blockSize, q7_t *pResult)
| Mean square error between two Q7 vectors. More...

## Description

Calculates the mean square error between two vectors.

## Function Documentation

void arm_mse_f16 | ( | const float16_t * | pSrcA,
|  | const float16_t * | pSrcB,
|  | uint32_t | blockSize,
|  | float16_t * | result
| ) |  |

Mean square error between two half precision float vectors.

Parameters

  [in] | pSrcA | points to the first input vector
  [in] | pSrcB | points to the second input vector
  [in] | blockSize | number of samples in input vector
  [out] | result | mean square error

Returns
  none

void arm_mse_f32 | ( | const float32_t * | pSrcA,
|  | const float32_t * | pSrcB,
|  | uint32_t | blockSize,
|  | float32_t * | result
| ) |  |

Mean square error between two single precision float vectors.

Parameters

  [in] | pSrcA | points to the first input vector
  [in] | pSrcB | points to the second input vector
  [in] | blockSize | number of samples in input vector
  [out] | result | mean square error

Returns
  none

void arm_mse_f64 | ( | const float64_t * | pSrcA,
|  | const float64_t * | pSrcB,
|  | uint32_t | blockSize,
|  | float64_t * | result
| ) |  |

Mean square error between two double precision float vectors.

Parameters

  [in] | pSrcA | points to the first input vector
  [in] | pSrcB | points to the second input vector
  [in] | blockSize | number of samples in input vector
  [out] | result | mean square error

Returns
  none

void arm_mse_q15 | ( | const q15_t * | pSrcA,
|  | const q15_t * | pSrcB,
|  | uint32_t | blockSize,
|  | q15_t * | pResult
| ) |  |

Parameters

  [in] | pSrcA | points to the first input vector
  [in] | pSrcB | points to the second input vector
  [in] | blockSize | number of samples in input vector
  [out] | pResult | mean square error

Returns
  none

void arm_mse_q31 | ( | const q31_t * | pSrcA,
|  | const q31_t * | pSrcB,
|  | uint32_t | blockSize,
|  | q31_t * | pResult
| ) |  |

Parameters

  [in] | pSrcA | points to the first input vector
  [in] | pSrcB | points to the second input vector
  [in] | blockSize | number of samples in input vector
  [out] | pResult | mean square error

Returns
  none

void arm_mse_q7 | ( | const q7_t * | pSrcA,
|  | const q7_t * | pSrcB,
|  | uint32_t | blockSize,
|  | q7_t * | pResult
| ) |  |

Parameters

  [in] | pSrcA | points to the first input vector
  [in] | pSrcB | points to the second input vector
  [in] | blockSize | number of samples in input vector
  [out] | pResult | mean square error

Returns
  none